package net.woodyfolsom.msproj.policy;

import static org.junit.Assert.*;

import java.util.List;

import net.woodyfolsom.msproj.GameBoard;
import net.woodyfolsom.msproj.GameConfig;
import net.woodyfolsom.msproj.GameState;
import net.woodyfolsom.msproj.policy.ValidMoveGenerator;

import org.junit.Test;


public class ValidMoveGeneratorTest {

	@Test
	public void test() {
/* move generator should not include A1 here when playing as black:
   A B C D E
 5 . . . . . 5
 4 . O . . . 4
 3 . . . . . 3     WHITE(O) has captured 0 stones
 2 O . O . . 2     BLACK(X) has captured 0 stones
 1 . O . . . 1
   A B C D E
 */
		GameState gameState = new GameState(5);
		gameState.playStone('A', 2, GameBoard.WHITE_STONE);
		gameState.playStone('B', 1, GameBoard.WHITE_STONE);
		gameState.playStone('B', 4, GameBoard.WHITE_STONE);
		gameState.playStone('C', 2, GameBoard.WHITE_STONE);
		assertFalse(gameState.playStone('A', 1, GameBoard.BLACK_STONE));
		
		List<String> validMoves = new ValidMoveGenerator().getActions(new GameConfig(), gameState, "b",0);
		assertTrue(validMoves.size() > 0);
		for (String vm : validMoves) {
			System.out.println(vm);
		}
		assertFalse(validMoves.contains("A1"));
		
		System.out.println(gameState);
	}

}
